/************************************************************************
*
*  Module name         : GBBig5Unicode.h
*
*  Module description  :
*     This header file contains function prototypes for Chinese character
*     set encode method conversion.
*
*  Project             : Generic
*
*  Target platform     : Win32
*
*  Compiler & Library  : Visual C++ 6.0
*
*  Author              : Richard Shen
*
*  Creation date       : 09 October, 2000
*
************************************************************************/
#ifndef GBBig5Unicode_h
#define GBBig5Unicode_h

// GB2312 <=> Unicode
const unsigned char  *GBCodeToUnicode(unsigned char *gbCode);
const unsigned char  *UnicodeToGBCode(unsigned char *unicode);

// Big5 <=> Unicode
const unsigned char  *Big5CodeToUnicode(unsigned char *b5Code);
const unsigned char  *UnicodeToBig5Code(unsigned char *unicode);

// GB2312 <=> Big5
const unsigned char  *GBCodeToBig5Code(unsigned char *gbCode);
const unsigned char  *Big5CodeToGBCode(unsigned char *b5Code);

// Check code
BOOL                 IsGBCode(unsigned char *gbCode);
BOOL                 IsBig5Code(unsigned char *b5Code);

#endif // GBBig5Unicode_h
